/*
 * beam.h
 * mume protocol related stuff
 */

#define MPI "~$#E"		/* MUME protocol introducer */
#define MCIDENT "~$#EI\n"	/* MUME client identificator */
#define MAXDESCLEN 80		/* session description lenght */

/* editing session control */
typedef struct editsess {
    struct editsess *next;
    int num;	/* session number */
    int state;	/* phase of receiving */
    int mode;	/* View/Edit/Cancelled */
    unsigned long
	key,	/* message identificator */
	pos,	/* bytes received */
	size;	/* message size/temp file size */
    long time;	/* temp file mtime */
    pid_t pid;	/* child pid */
    int fd;	/* temp file fd */
    int dlen;	/* length of description string */
    char *fname;/* temp file name */
    char desc[MAXDESCLEN];
} editsess;

int mp_receive();
void cancel_edit();
void childsig();

extern char edit_start[];
extern char edit_end[];
extern editsess *edit_sess;
